/*  GIMP Toolkit (GTK) Binding for Haskell: GLib Marshalling Code Header
 *
 *  Author : Manuel M. T. Chakravarty
 *  Created: 16 Januar 1999
 *	     (originally as gtkMarsh.h)
 *
 *  Version $Revision: 1.3 $ from $Date: 2001/02/14 07:37:07 $
 *
 *  Copyright (c) 1999 Manuel M. T. Chakravarty
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This file is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  DESCRIPTION ---------------------------------------------------------------
 *
 *  Internally used marshaling code.  Complementing `GMarsh.hs'. 
 *
 *  DOCU ----------------------------------------------------------------------
 *
 *  language: ANSI C
 *
 *  TODO ----------------------------------------------------------------------
 *
 */

#include <glib.h>
#include "haskell.h"


/* general marshaling code
 * =======================
 */

/* allocate a container for an int
 */
Haskell_Addr gHS_malloc_int ();

/* allocate a container for a 16bit int
 */
Haskell_Addr gHS_malloc_int16 ();

/* allocate a container for an int-array
 */
Haskell_Addr gHS_malloc_ints (gint32 n);

/* allocate an array of C characters
 */
Haskell_Addr gHS_malloc_chars (gint32 n);

/* allocate a container for an address
 */
Haskell_Addr gHS_malloc_addr ();

/* fatal error
 */
void gHS_fatal (char *errmsg);
