/*  GIMP Toolkit (GTK) Binding for Haskell: Additional routines for adjustment
 *    objects; header file
 *
 *  Author : Manuel M. T. Chakravarty
 *  Created: 30 Januar 1999
 *
 *  Version $Revision: 1.1.1.1 $ from $Date: 1999/09/28 11:12:20 $
 *
 *  Copyright (c) 1999 Manuel M. T. Chakravarty
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This file is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  DESCRIPTION ---------------------------------------------------------------
 *
 *  Defines the get and set functions (except for setting the `value' field) of *  the `GtkAdjustment' struct.
 *
 *  DOCU ----------------------------------------------------------------------
 *
 *  language: ANSI C
 *
 *  TODO ----------------------------------------------------------------------
 *
 */

#include <glib.h>
#include <gtk/gtk.h>


/*  get routines
 */

gfloat gtkHS_adjustment_get_value          (GtkAdjustment *adj);
gfloat gtkHS_adjustment_get_lower          (GtkAdjustment *adj);
gfloat gtkHS_adjustment_get_upper          (GtkAdjustment *adj);
gfloat gtkHS_adjustment_get_step_increment (GtkAdjustment *adj);
gfloat gtkHS_adjustment_get_page_increment (GtkAdjustment *adj);
gfloat gtkHS_adjustment_get_page_size      (GtkAdjustment *adj);

/*  set routines
 */

void gtkHS_adjustment_set_lower          (GtkAdjustment *adj, gfloat value);
void gtkHS_adjustment_set_upper          (GtkAdjustment *adj, gfloat value);
void gtkHS_adjustment_set_step_increment (GtkAdjustment *adj, gfloat value);
void gtkHS_adjustment_set_page_increment (GtkAdjustment *adj, gfloat value);
void gtkHS_adjustment_set_page_size      (GtkAdjustment *adj, gfloat value);
