/*  GIMP Toolkit (GTK) Binding for Haskell: Additional routines for objects; 
 *    header file
 *
 *  Author : Manuel M. T. Chakravarty
 *  Created: 9 February 1999
 *
 *  Version $Revision: 1.1.1.1 $ from $Date: 1999/09/28 11:12:21 $
 *
 *  Copyright (c) 1999 Manuel M. T. Chakravarty
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This file is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  DESCRIPTION ---------------------------------------------------------------
 *
 *  Defines `gtkHS_object_set_flags', `gtkHS_object_unset_flags', and 
 *  `gtkHS_object_test_flag'.
 *
 *  DOCU ----------------------------------------------------------------------
 *
 *  language: ANSI C
 *
 *  TODO ----------------------------------------------------------------------
 *
 */

#include <glib.h>
#include <gtk/gtk.h>


/*  set the flag bits of `flags' for the given object
 */
void gtkHS_object_set_flags (GtkObject *obj, guint32 flags);

/*  unset the flag bits of `flags' for the given object
 */
void gtkHS_object_unset_flags (GtkObject *obj, guint32 flags);

/*  test whether the flag bit set in `flag' is set for the object
 *
 *  * only one bit of `flag' may be set
 */
gboolean gtkHS_object_test_flag (GtkObject *obj, guint32 flag);
